# coding: UTF-8

#=conf フォルダを設定として読み込むプログラム
#
# 最初の著者:: トゥイー
# リポジトリ情報:: $Id: m2w_configurator.rb 279 2011-09-21 04:59:57Z toy_dev $
# 著作権:: Copyright (C) Ownway.info, 2011. All rights reserved.
# ライセンス:: CPL(Common Public Licence)

# Mail2Weblog のコンフィグパスを設定する
M2W_CONF_PATH = "#{M2W_ROOT_PATH}/conf"
M2W_PLUGIN_PATH = "#{M2W_ROOT_PATH}/plugin"

# システムの設定を読み込む
Dir::glob("#{M2W_CONF_PATH}/01_system/*.rb").sort.each do |f|
	begin
		require f
	rescue => e
		M2W_LOGGER.error(e)
		raise e
	end
end

# プラグインを読み込む
plugin_types = ['command', 'format', 'weblog/*']
plugin_types.each do |plugin_type|
	Dir::glob("#{M2W_PLUGIN_PATH}/#{plugin_type}/*.rb").sort.each do |f|
		begin
			require f
		rescue => e
			M2W_LOGGER.error(e)
			raise e
		end
	end
end

# ユーザの設定を読み込む
Dir::glob("#{M2W_CONF_PATH}/02_user/*.rb").sort.each do |f|
	begin
		require f
	rescue => e
		M2W_LOGGER.error(e)
		raise e
	end
end
